Eliminar un evento de DM
curl --request DELETE \
--url https://api.x.com/2/dm_events/{event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/dm_events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/dm_events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"deleted": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Administrar
Eliminar un evento de DM
Elimina un evento de mensaje directo específico por su ID, si pertenece al usuario autenticado.
DELETE
/
2
/
dm_events
/
{event_id}
Eliminar un evento de DM
Autorizaciones
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID del evento de mensaje directo que se debe eliminar. Identificador único de un evento de DM.
Pattern:
^[0-9]{1,19}$Ejemplo:
"1146654567674912769"
Respuesta
La solicitud se completó correctamente.
Show child attributes
Show child attributes
Minimum array length:
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes